=== modified file 'extensions/addons.c'
--- extensions/addons.c	2013-04-16 23:16:24 +0000
+++ extensions/addons.c	2013-06-21 23:18:01 +0000
@@ -617,7 +617,6 @@
     if (!ADDONS (viewable)->toolbar)
     {
         toolbar = gtk_toolbar_new ();
-        gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
         toolitem = gtk_tool_item_new ();
         gtk_toolbar_insert (GTK_TOOLBAR (toolbar), toolitem, -1);
         gtk_widget_show (GTK_WIDGET (toolitem));

=== modified file 'extensions/apps.vala'
--- extensions/apps.vala	2013-06-04 08:00:45 +0000
+++ extensions/apps.vala	2013-06-21 23:18:01 +0000
@@ -91,7 +91,6 @@
         public Gtk.Widget get_toolbar () {
             if (toolbar == null) {
                 toolbar = new Gtk.Toolbar ();
-                toolbar.set_icon_size (Gtk.IconSize.BUTTON);
 
                 var profile = new Gtk.ToolButton.from_stock (Gtk.STOCK_ADD);
                 profile.label = _("New _Profile");

=== modified file 'extensions/cookie-manager/cookie-manager-page.c'
--- extensions/cookie-manager/cookie-manager-page.c	2013-02-21 21:36:30 +0000
+++ extensions/cookie-manager/cookie-manager-page.c	2013-06-21 23:18:01 +0000
@@ -87,10 +87,6 @@
 	GtkToolItem *toolitem;
 
 	priv->toolbar = toolbar = gtk_toolbar_new();
-	gtk_toolbar_set_style(GTK_TOOLBAR(toolbar), GTK_TOOLBAR_BOTH_HORIZ);
-	gtk_toolbar_set_icon_size(GTK_TOOLBAR(toolbar), GTK_ICON_SIZE_BUTTON);
-	gtk_widget_show(toolbar);
-
 	toolitem = gtk_tool_button_new_from_stock(GTK_STOCK_DELETE);
 	gtk_tool_item_set_is_important(toolitem, TRUE);
 	g_signal_connect(toolitem, "clicked", G_CALLBACK(cm_button_delete_clicked_cb), cmp);

=== modified file 'extensions/feed-panel/feed-panel.c'
--- extensions/feed-panel/feed-panel.c	2013-04-16 23:16:24 +0000
+++ extensions/feed-panel/feed-panel.c	2013-06-21 23:18:01 +0000
@@ -675,8 +675,6 @@
         GtkToolItem* toolitem;
 
         toolbar = gtk_toolbar_new ();
-        gtk_toolbar_set_style (GTK_TOOLBAR (toolbar), GTK_TOOLBAR_BOTH_HORIZ);
-        gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
         panel->toolbar = toolbar;
         toolitem = gtk_tool_button_new_from_stock (GTK_STOCK_ADD);
         gtk_widget_set_tooltip_text (GTK_WIDGET (toolitem), _("Add new feed"));

=== modified file 'extensions/tab-panel.c'
--- extensions/tab-panel.c	2013-03-23 01:37:12 +0000
+++ extensions/tab-panel.c	2013-06-21 23:18:01 +0000
@@ -574,9 +574,6 @@
 
     toolbar = gtk_toolbar_new ();
     g_object_set_data (G_OBJECT (browser), "tab-panel-ext-toolbar", toolbar);
-    gtk_toolbar_set_style (GTK_TOOLBAR (toolbar), GTK_TOOLBAR_BOTH_HORIZ);
-    gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
-    gtk_widget_show (toolbar);
 
     /*
     TODO: Implement optional thumbnail images

=== modified file 'midori/midori-panel.c'
--- midori/midori-panel.c	2012-12-13 23:00:06 +0000
+++ midori/midori-panel.c	2013-06-21 23:18:01 +0000
@@ -637,6 +637,9 @@
     gtk_container_add (GTK_CONTAINER (panel->notebook), scrolled);
 
     toolbar = midori_viewable_get_toolbar (viewable);
+    gtk_toolbar_set_style (GTK_TOOLBAR (toolbar), GTK_TOOLBAR_BOTH_HORIZ);
+    gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
+    gtk_toolbar_set_show_arrow (GTK_TOOLBAR (toolbar), FALSE);
     gtk_widget_show (toolbar);
     gtk_container_add (GTK_CONTAINER (panel->toolbook), toolbar);
     g_signal_connect (viewable, "destroy",

=== modified file 'panels/midori-bookmarks.c'
--- panels/midori-bookmarks.c	2013-06-13 16:53:19 +0000
+++ panels/midori-bookmarks.c	2013-06-21 23:18:01 +0000
@@ -630,8 +630,6 @@
         GtkToolItem* toolitem;
 
         toolbar = gtk_toolbar_new ();
-        gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
-        gtk_toolbar_set_show_arrow (GTK_TOOLBAR (toolbar), FALSE);
         bookmarks->toolbar = toolbar;
         toolitem = gtk_tool_button_new_from_stock (STOCK_BOOKMARK_ADD);
         gtk_widget_set_name (GTK_WIDGET (toolitem), "BookmarkAdd");

=== modified file 'panels/midori-extensions.c'
--- panels/midori-extensions.c	2013-03-12 17:12:06 +0000
+++ panels/midori-extensions.c	2013-06-21 23:18:01 +0000
@@ -104,8 +104,6 @@
         GtkWidget* toolbar;
 
         toolbar = gtk_toolbar_new ();
-        gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
-
         MIDORI_EXTENSIONS (extensions)->toolbar = toolbar;
     }
 

=== modified file 'panels/midori-history.c'
--- panels/midori-history.c	2013-04-16 23:16:24 +0000
+++ panels/midori-history.c	2013-06-21 23:18:01 +0000
@@ -401,7 +401,6 @@
         GtkToolItem* toolitem;
 
         toolbar = gtk_toolbar_new ();
-        gtk_toolbar_set_icon_size (GTK_TOOLBAR (toolbar), GTK_ICON_SIZE_BUTTON);
         history->toolbar = toolbar;
         toolitem = gtk_tool_button_new_from_stock (STOCK_BOOKMARK_ADD);
         gtk_widget_set_tooltip_text (GTK_WIDGET (toolitem),

